This documentation supports the 9.1 version of Remedy Action Request System.

To view the latest version, select the version from the Product version menu.

Prerequisites for creating plug-ins

To create plug-ins for BMC Remedy Developer Studio, you need the software and project dependencies listed in this topic.

Software requirements for creating plug-ins

  • BMC Remedy Developer Studio release 7.6.02 or later
  • Java SE JDK 1.8.45 or later
  • Eclipse for RCP/Plug-in Developers (Ganymede 3.4 SR2 or later for Windows)
    To download the Eclipse software, go to http://www.eclipse.org/downloads/packages/release/ganymede/sr2.
    Extract the downloaded ZIP file into C:\Eclipse3.4 (or later version).

Project dependencies for creating plug-ins

Add the following BMC Remedy Developer Studio plug-ins as dependencies to your custom plug-in project:

  • com.bmc.arsys.studio.api (7.6.02 or higher)
  • com.bmc.arsys.studio.commonui (7.6.02 or higher)
  • com.bmc.arsys.studio.model (7.6.02 or higher)
  • com.bmc.arsys.studio.ui (7.6.02 or higher)
  • com.bmc.arsys.studio.analyzer.core (7.6.02 or higher)

To do this, extract the contents of the ARSystemServerInstallDir\ DeveloperStudio\files\Plugins.zip file into your top-level Eclipse directory.

For example, if your top-level Eclipse directory is C:\eclipse, extract the contents into C:\eclipse.

Was this page helpful? Yes No Submitting... Thank you

Comments